> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/nfc-wallet-sdk-ios/ja/implement-nfc-wallet/check-contactless-capability.md).

# 非接触機能を確認する

## 概要

お使いの **デジタルウォレットアプリケーション** 非接触決済に対応しています。

次の後に呼び出してください **NFC Wallet SDK** 初期化後、かつ次の前に [ウォレットに登録する](/nfc-wallet-sdk-ios/ja/implement-nfc-wallet/enroll-wallet.md) と **トークン化**.

{% hint style="info" %}
デバイスが非接触決済の対象でない場合は、次の非接触決済のエントリポイントを非表示にするか無効にします。 **エンドユーザー**.
{% endhint %}

## SDK統合

使用する `デバイスの適格性` で `非接触決済の利用資格`.

次の結果を処理します:

* `サポート済み`: デバイスは非接触決済を実行できます。
* `deviceNotSupported`: デバイスは NFC または HCE をサポートしていません。
* `systemNotEligible`: デバイスまたは Apple ID が EEA（欧州経済領域）に含まれていません。
* `iosVersionNotSupported`: デバイスが最小 iOS バージョン（iOS 17.4）を満たしていません。

```swift
let contactlessEligibility = await TSHPay.shared.deviceEligibility.contactlessPaymentEligibility
            
switch contactlessEligibility {
  case .deviceNotSupported(let reason):
      // デバイスは NFC または HCE のサポートがないため、対象外です。
      break
  case .systemNotEligible:
      // デバイスまたは Apple ID が EEA に含まれていないため、システムは対象外です。
      break
  case .iosVersionNotSupported(let currentVersion):
      // OS バージョンが必要最小バージョン（iOS 17.4）を満たしていません。
      break
  case .supported:
      // デバイスは非接触決済を実行できます。
      break
}
```

{% hint style="info" %}
呼び出す前にこのチェックを実行してください [ウォレットに登録する](/nfc-wallet-sdk-ios/ja/implement-nfc-wallet/enroll-wallet.md) と [カードをトークン化する](/nfc-wallet-sdk-ios/ja/implement-nfc-wallet/tokenize-a-card.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/nfc-wallet-sdk-ios/ja/implement-nfc-wallet/check-contactless-capability.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
